#!/usr/bin/env python
# -- coding: latin-1

#       Copyright 2007 Manuel Vazquez Acosta <mva.led@gmail.com>
#
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.


""" Simple script that inspect BKB's contents """

import sys
from gugle.storage.kb import BasicKnowledgeBase

def main():
    KB = BasicKnowledgeBase()

    print '"Referrer","Target"'
    for link in KB.__WebGraph__.generateGugleMappings():
        try:
            print '"%s","%s"' % link
        except:
            pass

if __name__ == '__main__':
    main()
